IF NOT EXISTS (SELECT C.NAME FROM SYS.columns C WHERE C.name = 'CD_COMPRADOR_EQUIPE' AND C.OBJECT_ID = OBJECT_ID('EST_COMPRADOR'))
	BEGIN
		ALTER TABLE EST_COMPRADOR ADD CD_COMPRADOR_EQUIPE INT 
		ALTER TABLE EST_COMPRADOR ADD CONSTRAINT DF_EST_COMPRADOR_CD_COMPRADOR_EQUIPE DEFAULT 0 FOR CD_COMPRADOR_EQUIPE 		
		
		ALTER TABLE EST_COMPRADOR  WITH CHECK ADD  CONSTRAINT FK_EST_COMPRADOR_EST_COMPRADOR_EQUIPE FOREIGN KEY(CD_COMPRADOR_EQUIPE)
		REFERENCES EST_COMPRADOR_EQUIPE (CD_COMPRADOR_EQUIPE)
		ON UPDATE CASCADE		

		ALTER TABLE [dbo].[EST_COMPRADOR] CHECK CONSTRAINT [FK_EST_COMPRADOR_EST_COMPRADOR_EQUIPE]
		
	END

GO

IF EXISTS (SELECT C.NAME FROM SYS.columns C WHERE C.name = 'CD_COMPRADOR_EQUIPE' AND C.OBJECT_ID = OBJECT_ID('EST_COMPRADOR'))
	BEGIN
		UPDATE EST_COMPRADOR SET CD_COMPRADOR_EQUIPE = 0 WHERE CD_COMPRADOR_EQUIPE IS NULL
	END